package example_account;

public class Account4 {
	private double balance;
	private int numWithdrawals;
	
	public Account4(double initBalance) {
		balance = initBalance;
		numWithdrawals = 0;
	}
	
	public double getBalance() {
		return balance;
	}
	
	public int getNumWithdrawals() {
		return numWithdrawals;
	}
	
	public void deposit(double amount) {
		if(amount>0) {
			balance += amount;
		}
	}

	public void withdraw(double amount) {
		if(amount>0) {
			balance -= amount;
			numWithdrawals++;
		}
	}
}

