package example_account;

public class Account5 {
	private double balance;
	private int numWithdrawals;
	private String owner;
	
	public Account5(double initBalance, String name) {
		balance = initBalance;
		owner = name;
		numWithdrawals = 0;
	}
	
	public double getBalance() {
		return balance;
	}

	public String getOwner() {
		return owner;
	}

	public void setOwner(String owner) {
		this.owner = owner;
	}

	public int getNumWithdrawals() {
		return numWithdrawals;
	}
	
	public void deposit(double amount) {
		if(amount>0) {
			balance += amount;
		}
	}

	public void withdraw(double amount) {
		if(amount>0) {
			balance -= amount;
			numWithdrawals++;
		}
	}
}

