package example_basketball_fouls;

public class BasketballPlayer {

	private String name;
	private int numFouls=0;
	private boolean isFouledOut=false;
	
	public BasketballPlayer(String name) {
		this.name = name;
	}

	public String getName() {
		return name;
	}

	public boolean isFouledOut() {
		return isFouledOut;
	}

	public int getNumFouls() {
		return numFouls;
	}
	
	public void commitFoul() {
		if(numFouls<6) {
			numFouls++;
		}
		else {
			isFouledOut = true;
		}
	}
	
	@Override
	public String toString() {
		String msg = String.format("Name: %s, fouls=%d, isFouledOut=%b", name, numFouls, isFouledOut);
		return msg;
	}
}

