package example_box;

public class Box {
	private double length, width, height;
	   
	public Box() {
		this(1,1,1);
	}
		   
	public Box(double l, double w, double h) {
		length = l;
		width = w;
		height = h;
	}

	public double getLength() {
		return length;
	}

	public void setLength(double length) {
		this.length = length;
	}
	
	
	public static void changeBox(Box box) {
		box.length=6;
		System.out.println("box in changeBox()=" + box);	      
	}
	
	public static void shrinkBox(Box b) {
		b.setLength(b.getLength()-1);
	}

	public static void doesntChangeX(int x) {
		x=99;
		System.out.println("x in changeX()=" + x);	      
	}

	public void mergeBox(Box b) {
		this.length += b.length;
		this.width += b.width;
		this.height += b.height;
	}

	public double volume() {
		return length*width*height;
	}
	
	@Override
	public String toString() {
		return "Box [length=" + length + ", width=" + width + ", height="
					+ height + ", volume()=" + volume() + "]";
	}

	public static void main(String[] args) {
		
		Box b2 = new Box(2.0,3.0,4.0);
		Box b3 = new Box(1.0,5.0,3.0);
		b2=b3;
		
		// Passing an int
		int x = 3;
	    System.out.println("x in main before doesntChangeX()=" + x);
		doesntChangeX(x);
		System.out.println("x in main after doesntChangeX()=" + x);	      
		
		// Passing a box
	    Box b = new Box(4,6,2);
	    System.out.println( b.toString() );
	      
	    System.out.println("box in main before changeBox()=" + b);
		changeBox(b);
		System.out.println("box in main after changeBox()=" + b);
		
		// Passing a string
		String s = "dog";
		System.out.println("s in main before change=" + s);
		s += " and cat";
		System.out.println("s in main after change=" + s);
		
/*	    System.out.println("s in main before doesntChangeX()=" + x);
		doesntChangeX(x);
		System.out.println("x in main after doesntChangeX()=" + x);	 
		
		
*/		
		
Box box2 = new Box(4,6,2);
System.out.println( box2.toString() );
box2.mergeBox(box2);
System.out.println( box2.toString() );

	}

}
