package example_box;

public class Box2 {

	private double length, width, height;

	public double getLength() {
		return length;
	}

	public void setLength(double length) {
		this.length = length;
	}
	public double getWidth() {
		return width;
	}

	public void setWidth(double width) {
		this.width = width;
	}

	public double getHeight() {
		return height;
	}

	public void setHeight(double height) {
		this.height = height;
	}
	
	public double getVolume() {
		return length*width*height;
	}

	public Box2() {
		this(1,1,1);
	}
	   
	public Box2( double l, double w, double h ) {
		length = l;
		width = w;
		height = h;
	}
	   
	public double volume() {
		return length*width*height;
	}

	@Override
	public String toString() {
		return "Box [length=" + length + ", width=" + width + ", height="
				+ height + ", volume()=" + volume() + "]";
	}
	
	public static void main(String[] args) {
	      Box2 b = new Box2(4,6,2);
	      int val = 14;
	      
	      System.out.println( b.getLength() + ", " + val );
	      changeBox(b,val);
	      System.out.println( b.getLength() + ", " + val );

	      System.out.println();
	      System.out.println( b.getLength() + ", " + val );
	      changeBox2(b);
	      System.out.println( b.getLength() + ", " + val );

//	      Box2[] boxes = new Box2[5];
	      
/*	      for( int i=0; i<boxes.length; i++)
	    	  boxes[i] = new Box2();
*/
	      Box2[] boxes = new Box2[3];
	      
	      boxes[0] = new Box2(4,4,4);
	      boxes[1] = new Box2(9,9,9);
	      boxes[2] = new Box2(6,6,6);

	      Box2[] sameBoxes;
	      sameBoxes = boxes;
	      
	      boxes[0].setLength(99);

	      System.out.println( boxes[0].getLength() );
	      System.out.println( sameBoxes[0].getLength() );
  
		Box2 box = new Box2(2,3,2);
		box = changeBox3(box);
	}
	
	public static void changeBox( Box2 b, int x ) {
		b.setLength(99);
		x=99;
	}

	public static void changeBox2( Box2 b ) {
		b = new Box2(9,9,9);
	}
	
	public static Box2 changeBox3(Box2 b) {
		if(b.getVolume()<20.0) {
			b = new Box2(9,9,9);
		}
		return b;
	}


}
