package example_box_multiple_constructors;

public class Box2 {

	public static void main(String[] args) {
		
		Box2 b1 = new Box2(2.0,3.0,4.0);
		Box2 b2 = new Box2(1.0,1.0,2.0);
		b1.mergeBox(b2);
		System.out.println(b1);
	}

	double length, width, height;
	   
	@Override
	public String toString() {
		return "length=" + length + ", width=" + width + ", height=" + height;
	}

	public Box2(double l, double w, double h) {
		length = l;
		width = w;
		height = h;
	}
		   
	public void mergeBox(Box2 b) {
		this.length += b.length;
		this.width += b.width;
		this.height += b.height;
	}

	public double volume() {
		return length*width*height;
	}
	public double getLength() {
		return length;
	}

}
