package example_box_utilities;

public class BoxUtilities {

	public static void main(String[] args) {
	}
	
	public BoxUtilities() {}
	
	public double getAverageVolume(Box[] boxes) {
		double sum = 0.0;
		for(Box b : boxes) {
			sum += b.getVolume();
		}
		return sum/boxes.length;
	}
	
	public void stretchAll(Box[] boxes, double percent) {
		for(Box b : boxes) {
			b.stretchLenth(0.1);
		}
	}
	
	public Box[] getBiggest(Box[] boxes1, Box[] boxes2) {
		Box[] biggest = new Box[boxes1.length];
		for(int i=0; i<boxes1.length; i++) {
			Box b1 = boxes1[i];
			Box b2 = boxes2[i];
			if(b1.getVolume()>b2.getVolume()) {
				biggest[i] = b1;
			}
			else {
				biggest[i] = b2;
			}
		}
		return biggest;
	}
	
	public boolean[] whichOnesFit(Box[] boxes1, Box[] boxes2) {
		boolean[] whichFit = new boolean[boxes1.length];
		for(int i=0; i<boxes1.length; i++) {
			Box b1 = boxes1[i];
			Box b2 = boxes2[i];
			whichFit[i] = b1.doesFit(b2);
			// Or could write this way
//			if(b1.doesFit(b2)) {
//				whichFit[i] = true;
//			}
//			else {
//				whichFit[i] = false;
//			}
		}
		return whichFit;
	}
	
	

}
