package example_box_utilities;

public class Person {
	private String name;
	private Dog dog;

	public Person(String name) {
		this.name = name;
	}

	public Person(String name, Dog d) {
		this.name = name;
		this.dog = d;
	}

	public Dog getDog() {
		return dog;
	}

	public void setDog(Dog dog) {
		this.dog = dog;
	}

	public String getName() {
		return name;
	}
	
	public void walkDog() {
		if(dog==null) {
			System.out.println("You have no dog to walk!");
			return;
		}
		System.out.println(String.format("%s is walking the dog:", getName()));
		dog.walk();
	}

	public static void main(String[] args) {
		Person p1 = new Person("Shanika");
		p1.walkDog();
		Dog d1 = new Dog("Dent");
		d1.walk();
		d1.bark();
		p1.setDog(d1);
		p1.walkDog();
		
		Person p2 = new Person("Yancey", new Dog("Ace"));
		p2.walkDog();
		d1.barkAt(p2.getDog());
		Dog d2 = p2.getDog();
		d2.bark();
		d2.barkAt(d1);
	}
}
