package example_immutability;

public class ImmutableBox {

	public static void main(String[] args) {
	      ImmutableBox b = new ImmutableBox(4,6,2);
	}
	
	private double length, width, height;

	public double getLength() { return length; }

	public double getWidth() { return width; }

	public double getHeight() { return height; }

	public ImmutableBox( double l, double w, double h ) {
		length = l; width = w; height = h;
	}
	   
	public double volume() {
		return length*width*height;
	}

	@Override
	public String toString() {
		return "Box [length=" + length + ", width=" + width + ", height="
				+ height + ", volume()=" + volume() + "]";
	}
}
