package example_student_static;

public class Student {
	private String name;
	private static int numStudents;
	
	public Student(String name) {
		this.name = name;
		numStudents++;
	}
	
	public int getNumStudents() {
		return numStudents;
	}
	
	@Override
	public String toString() {
		return "name=" + name + ", numStudents=" + numStudents;
	}
	
	public static void main(String[] args) {
		
		Student s1 = new Student("Maria");
		System.out.println(s1); // name=Maria, numStudents=1
		Student s2 = new Student("Zoe");
		System.out.println(s2); // name=Zoe, numStudents=2
		Student s3 = new Student("Deion");
		System.out.println(s3); // name=Deion, numStudents=3
	}
}
