package exercise_piggy_bank;

public class PiggyBankVer5 {
	private int quarters;
	private int dimes;
	private int nickles;
	
	public PiggyBankVer5(int quarters, int dimes, int nickles) {
		this.quarters = quarters;
		this.dimes = dimes;
		this.nickles = nickles;
	}

	public int getQuarters() {
		return quarters;
	}

	public void setQuarters(int quarters) {
		this.quarters = quarters;
	}

	public int getDimes() {
		return dimes;
	}

	public void setDimes(int dimes) {
		this.dimes = dimes;
	}

	public int getNickles() {
		return nickles;
	}

	public void setNickles(int nickles) {
		this.nickles = nickles;
	}

	public double getTotal() {
		double total = ((quarters * 0.25) + (dimes * 0.10) + (nickles * 0.05));
		return total;
	}

	@Override
	public String toString() {
		String msg = "Quarters = " + getQuarters() + ", Dimes = " + 
					 getDimes() + ", Nickles = " + getNickles() + 
					 ", Total = $" + getTotal();
		return msg;
	}

	public static void main(String[] args) {
		PiggyBankVer5 p1 = new PiggyBankVer5(3, 2, 3);
		p1.setQuarters(p1.getQuarters() + 2);
		p1.setNickles(p1.getNickles() + 3);
		
		System.out.println("Expected = Quarters = 5, Dimes = 2, Nickles = 6, Total = $1.75");
		System.out.println(String.format("  Actual = %s", p1.toString()));
	}


}
