package example_account;

public class Account6 {
	private double balance;
	private int numWithdrawals;
	private String owner;
	
	public Account6(double balance, String owner) {
		this.balance = balance;
		this.owner = owner;
		numWithdrawals = 0;
	}
	
	public double getBalance() {
		return balance;
	}

	public String getOwner() {
		return owner;
	}

	public void setOwner(String owner) {
		this.owner = owner;
	}

	public int getNumWithdrawals() {
		return numWithdrawals;
	}
	
	public void deposit(double amount) {
		if(amount>0) {
			balance += amount;
		}
	}

	public void withdraw(double amount) {
		if(amount>0) {
			balance -= amount;
			numWithdrawals++;
		}
	}
	
	@Override
	public String toString() {
		String msg = "owner=" + owner + ", bal=" + balance + ", num withdrawals=" + numWithdrawals; 
		return msg;
	}

}

