package example_basketball_fouls;

public class BasketballPlayerTest {

	public static void main(String[] args) {
		testToString();
		testCommitFoul();
		testCommitFoulMultiple();		
		testCommitFoul_FoulOut();
		testCommitFoul_SevenFouls();
	}
	
	private static void testToString() {
		System.out.println("-->testToString()");
		BasketballPlayer p = new BasketballPlayer("Paul");
		System.out.println(p);
	}
	
	private static void testCommitFoul() {
		System.out.println("-->testCommitFoul()");
		BasketballPlayer p = new BasketballPlayer("Paul");
		p.commitFoul();
		String msg = String.format("Should be 1 foul and not fouled out");
		System.out.println(msg);
		System.out.println(p);
	}

	private static void testCommitFoulMultiple() {
		System.out.println("-->testCommitFoulMultiple()");
		BasketballPlayer p = new BasketballPlayer("Paul");
		p.commitFoul();
		p.commitFoul();
		p.commitFoul();
		String msg = String.format("Should be 3 fouls and not fouled out");
		System.out.println(msg);
		System.out.println(p);
	}

	private static void testCommitFoul_FoulOut() {
		System.out.println("-->testCommitFoul_FoulOut()");
		BasketballPlayer p = new BasketballPlayer("Paul");
		p.commitFoul();
		p.commitFoul();
		p.commitFoul();
		p.commitFoul();
		p.commitFoul();
		p.commitFoul();
		String msg = String.format("Should be 6 fouls and fouled out");
		System.out.println(msg);
		System.out.println(p);
	}

	private static void testCommitFoul_SevenFouls() {
		System.out.println("-->testCommitFoul_SevenFouls()");
		BasketballPlayer p = new BasketballPlayer("Paul");
		p.commitFoul();
		p.commitFoul();
		p.commitFoul();
		p.commitFoul();
		p.commitFoul();
		p.commitFoul();
		p.commitFoul();
		String msg = String.format("Should be 6 fouls and fouled out");
		System.out.println(msg);
		System.out.println(p);
	}

}
