package example_creatation_date;

public class CreationDate {
	private String shortDate;
	private String longDate;
	
	public CreationDate(String date) {
		String month = date.substring(0,2);
		String monthName = getMonthName(month);  // Helper method
		String day = date.substring(2,4);
		String year = date.substring(4);
		this.shortDate = month + "/" + day + "/" + year;
		this.longDate = monthName + " " + day + ", " + year;
	}
	
	public void longMethod() {
		taskA();
		taskB();
		// a few lines of code to do task A
		// a few lines of code to do task B
	}
	
	private void taskA() {
		
	}
	
	private void taskB() {
		
	}

	public String getShortDate() {
		return shortDate;
	}

	public String getLongDate() {
		return longDate;
	}
	
	private String getMonthName(String month) {
		String monthName = "";
		switch(month) {
		case "01":
			monthName = "January";
			break;
		case "02":
			monthName = "February";
			break;
		case "03":
			monthName = "March";
			break;
		case "04":
			monthName = "April";
			break;
		case "05":
			monthName = "May";
			break;
		case "06":
			monthName = "June";
			break;
		case "07":
			monthName = "July";
			break;
		case "08":
			monthName = "August";
			break;
		case "09":
			monthName = "September";
			break;
		case "10":
			monthName = "October";
			break;
		case "11":
			monthName = "November";
			break;
		case "12":
			monthName = "December";
			break;
		}
		return monthName;
	}

	public static void main(String[] args) {
		CreationDate cd1 = new CreationDate("04052019");
		System.out.println(cd1.getShortDate()); // 04/05/2019
		System.out.println(cd1.getLongDate());  // April 05, 2019
	}

}
