package example_person_multiple_constructors;

public class Person {

	private String name;
	private int age;
	
	public Person() {
		this("Unknown", 0);
	}
	
	public Person(String name) {
		
		this(name, 0);
	}
	
	public Person(String name, int age) {
		this.name = name;
		this.age = age;
	}

	public String getName() {
		return name;
	}

	public int getAge() {
		return age;
	}

	@Override
	public String toString() {
		String msg = String.format("Name:%s, age:%d", name, age);
		return msg;
	}
}

