package example_person_multiple_constructors;

public class PersonTest {

	public static void main(String[] args) {
		testMainConstructor();
		testConstructorNameOnly();
		testDefaultConstructor();
	}
	
	private static void testMainConstructor() {
		System.out.println("-->testMainConstructor()");
		Person p = new Person("Archie", 33);
		System.out.println("Name should be 'Archie', and age=33");
		System.out.println(p);
	}

	private static void testConstructorNameOnly() {
		System.out.println("\n-->testConstructorNameOnly()");
		Person p = new Person("Archie");
		System.out.println("Name should be 'Archie', and age=0");
		System.out.println(p);
	}

	private static void testDefaultConstructor() {
		System.out.println("\n-->testDefaultConstructor()");
		Person p = new Person();
		System.out.println("Name should be 'Unknown', and age=0");
		System.out.println(p);
	}

}
