package example_word_class;

public class Word {
	private String word;
	
	public Word(String word) {
		this.word = word;
	}
	
	public String getWord() {
		return word;
	}

	public int countUC() {
		int count = 0;
		for(int i=0; i<word.length(); i++) {
			if(Character.isUpperCase(word.charAt(i))) {
				count++;			
			}
		}
		return count;
	}
	
	public int countVowels() {
		String vowels = "aeiou";
		int count = 0;
		for(int i=0; i<word.length(); i++) {
				
			String c = word.charAt(i) + "";
			
			String c2 = String.valueOf(word.charAt(i));
			if(vowels.contains(c)) {
				count++;
			}
		}
		return count;
	}

	
	public int countVowels2() {
		String vowels = "aeiou";
		int count = 0;
		for(int i=0; i<word.length(); i++) {
			char c  = word.charAt(i);
			if(c=='a' || c=='e' || c=='i' || c=='o' || c=='u') {
				count++;
			}
		}
		return count;
	}

	public void addToWord(String str) {
		int pos = str.indexOf(',');
		if(pos != -1) {
			String word1 = str.substring(0, pos);
			String word2 = str.substring(pos+1);
			word += word1 + word2;
		}
		else {
			word += str;
		}
	}

	
	public String getUniqueCharacters() {
		String result = "";
		for(int i=0; i<word.length(); i++) {
			char c = word.charAt(i);
			if(result.indexOf(c)==-1) 	// if c not in result
				result += c;			// add c to result
		}
		return result;
	}
	
	public boolean containsDotCom() {
		return word.contains(".com");
	}
	
	public boolean containsDotCom2() {
		if(word.contains(".com")) {
			return true;
		}
		return false;
	}

	@Override
	public String toString() {
		return "word='" + word + "'";
	}
	
	public static void main(String[] args) {
//		Word word = new Word("David Gibson");
//		System.out.println(word.countVowels());
//		System.out.println(word.countUC());
	}
}
