package exercise_piggy_bank;

public class PiggyBankVer6 {
	private int quarters;
	private int dimes;
	private int nickles;
	
	public PiggyBankVer6(int quarters, int dimes, int nickles) {
		this.quarters = quarters;
		this.dimes = dimes;
		this.nickles = nickles;
	}

	public int getQuarters() {
		return quarters;
	}

	public void addQuarters(int numQuarters) {
		if(numQuarters > 0) {
			quarters += numQuarters;
		}
	}
	
	public void withdrawQuarters(int numQuarters) {
		if((numQuarters > 0) && (quarters > numQuarters)) {
			quarters -= numQuarters;
		}
	}
	
	public int getDimes() {
		return dimes;
	}

	public void addDimes(int numDimes) {
		if(numDimes > 0) {
			dimes += numDimes;
		}
	}

	public int getNickles() {
		return nickles;
	}

	public void addNickles(int numNickles) {
		if(numNickles > 0) {
			nickles += numNickles;
		}
	}
	

	public double getTotal() {
		double total = ((quarters * 0.25) + (dimes * 0.10) + (nickles * 0.05));
		return total;
	}

	@Override
	public String toString() {
		String msg = "Quarters = " + getQuarters() + ", Dimes = " + 
				 getDimes() + ", Nickles = " + getNickles() + 
				 ", Total = $" + getTotal();
		return msg;
	}
}
